/* Nintendulator Mapper DLLs
 * Copyright (C) 2002-2011 QMT Productions
 *
 * $URL: https://nintendulator.svn.sourceforge.net/svnroot/nintendulator/mappers/trunk/src/FDS/FDS_Mapper.cpp $
 * $Id: FDS_Mapper.cpp 1173 2011-01-27 04:24:05Z quietust $
 */

#include	"..\DLL\d_FDS.h"
#include	"..\Hardware\h_FDS.h"

namespace
{
BOOL	MAPINT	Load (void)
{
	return FDS::Load();
}

void	MAPINT	Reset (RESET_TYPE ResetType)
{
	FDS::Reset(ResetType);
}

void	MAPINT	Unload (void)
{
	FDS::Unload();
}
} // namespace

const MapperInfo MapperInfo_FDS =
{
	NULL,
	_T("Famicom Disk System"),
	COMPAT_NEARLY,
	Load,
	Reset,
	Unload,
	FDS::CPUCycle,
	NULL,
	FDS::SaveLoad,
	FDS::MapperSnd,
	FDS::Config
};