/* Nintendulator Mapper DLLs
 * Copyright (C) 2002-2011 QMT Productions
 *
 * $URL: https://nintendulator.svn.sourceforge.net/svnroot/nintendulator/mappers/trunk/src/Hardware/h_FME7.h $
 * $Id: h_FME7.h 1258 2012-02-14 04:17:32Z quietust $
 */

#pragma once

#include	"..\interface.h"

namespace FME7
{
void		Load		(FSync);
void		Reset		(RESET_TYPE);
void		Unload		(void);
void		SyncMirror	(void);
void		SyncPRG		(int,int);
void		SyncCHR		(int,int);
int	MAPINT	SaveLoad	(STATE_TYPE,int,unsigned char *);
void	MAPINT	Write89		(int,int,int);
void	MAPINT	WriteAB		(int,int,int);
void	MAPINT	WriteCDEF	(int,int,int);
void	MAPINT	CPUCycle	(void);
int	MAPINT	GenSound	(int);
} // namespace FME7
