/* Nintendulator Mapper DLLs
 * Copyright (C) 2002-2011 QMT Productions
 *
 * $URL: https://nintendulator.svn.sourceforge.net/svnroot/nintendulator/mappers/trunk/src/Hardware/h_Latch.h $
 * $Id: h_Latch.h 1258 2012-02-14 04:17:32Z quietust $
 */

#pragma once

#include	"..\interface.h"

#define	BUS_CONFLICTS	/* Enable bus conflicts */

namespace Latch
{
extern uint8 Data;
extern uint16_n Addr;

void		Load		(FSync,BOOL);
void		Reset		(RESET_TYPE);
void		Unload		(void);
int	MAPINT	SaveLoad_AD	(STATE_TYPE,int,unsigned char *);
int	MAPINT	SaveLoad_AL	(STATE_TYPE,int,unsigned char *);
int	MAPINT	SaveLoad_A	(STATE_TYPE,int,unsigned char *);
int	MAPINT	SaveLoad_D	(STATE_TYPE,int,unsigned char *);
void	MAPINT	Write		(int,int,int);
} // namespace Latch
